public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alexis Ballier" <aballier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/qsampler/
Date: Mon, 14 Nov 2022 15:24:40 +0000 (UTC)	[thread overview]
Message-ID: <1668439474.f0453576e0f2375da382448ba3fe8faadcce78cc.aballier@gentoo> (raw)

commit:     f0453576e0f2375da382448ba3fe8faadcce78cc
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 14 15:05:46 2022 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Mon Nov 14 15:24:34 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f0453576

media-sound/qsampler: bump to 0.9.7

Signed-off-by: Alexis Ballier <aballier <AT> gentoo.org>

 media-sound/qsampler/Manifest              |  1 +
 media-sound/qsampler/qsampler-0.9.7.ebuild | 57 ++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/media-sound/qsampler/Manifest b/media-sound/qsampler/Manifest
index 7056a2ed514b..bd3f007a91d3 100644
--- a/media-sound/qsampler/Manifest
+++ b/media-sound/qsampler/Manifest
@@ -1 +1,2 @@
 DIST qsampler-0.9.6.tar.gz 222973 BLAKE2B 944616f522df1e4d5d8305f474f1aaf0f5c39d41860b26f057122463a866ccf95c283ec6a34ef204580627b1e9b6aaec4dd6bf65364fab67ceee91b9d08879dd SHA512 a2de808d3b4d41970b11eb41c972b09568fc478abb0e039725bb8d341b988986c239a82792ba5051d552264dd44d68d3d58f00e21412a154fbb476421262381d
+DIST qsampler-0.9.7.tar.gz 220674 BLAKE2B 743cd6a2ea2ea9a76b8aa840bc67d15dd3be2a89a783c7de896bf618a14c06f51fa0d753337d73e21b9a350cb96936f2288d8893fc441f8e5117ea322fbb2785 SHA512 3474ef1924ca4090d153ccf2b50de840c8f0cd22c880e2ffb129c9f1f1516238cfe4e3e35b5dfa839ea21d45390814723f530b8618fa0ca4a4cac1c15bcf3083

diff --git a/media-sound/qsampler/qsampler-0.9.7.ebuild b/media-sound/qsampler/qsampler-0.9.7.ebuild
new file mode 100644
index 000000000000..f286d8199e11
--- /dev/null
+++ b/media-sound/qsampler/qsampler-0.9.7.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake xdg
+
+if [[ ${PV} == *9999* ]]; then
+	EGIT_REPO_URI="https://git.code.sf.net/p/qsampler/code"
+	inherit git-r3
+else
+	SRC_URI="mirror://sourceforge/${PN}/${PV}/${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="Graphical frontend to the LinuxSampler engine"
+HOMEPAGE="https://qsampler.sourceforge.io/ https://www.linuxsampler.org/"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="debug +libgig"
+
+DEPEND="
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtnetwork:5
+	dev-qt/qtwidgets:5
+	dev-qt/qtx11extras:5
+	media-libs/alsa-lib
+	media-libs/liblscp:=
+	x11-libs/libX11
+	libgig? ( media-libs/libgig:= )
+"
+RDEPEND="${DEPEND}
+	media-sound/linuxsampler
+"
+BDEPEND="dev-qt/linguist-tools:5"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-0.9.1-cmake-no-git.patch"
+)
+
+DOCS=( ChangeLog README TRANSLATORS )
+
+src_prepare() {
+	cmake_src_prepare
+
+	sed -e "/^find_package.*QT/s/Qt6 //" -i CMakeLists.txt || die
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DCONFIG_DEBUG=$(usex debug 1 0)
+		-DCONFIG_LIBGIG=$(usex libgig 1 0)
+	)
+	cmake_src_configure
+}


             reply	other threads:[~2022-11-14 15:24 UTC|newest]

Thread overview: 70+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-11-14 15:24 Alexis Ballier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-01  8:55 [gentoo-commits] repo/gentoo:master commit in: media-sound/qsampler/ Andreas Sturmlechner
2025-01-01  8:55 Andreas Sturmlechner
2024-07-20 10:07 Miroslav Šulc
2024-07-19 15:43 Arthur Zamarin
2024-06-24  7:19 Miroslav Šulc
2024-06-19 11:24 Sam James
2024-06-19  8:36 Miroslav Šulc
2024-06-02  9:14 Miroslav Šulc
2024-05-31 14:14 Arthur Zamarin
2024-05-20  9:17 Miroslav Šulc
2024-04-20  8:01 Miroslav Šulc
2024-02-27 10:49 Miroslav Šulc
2024-02-24 15:26 Arthur Zamarin
2024-01-24  9:42 Miroslav Šulc
2024-01-04 10:13 Miroslav Šulc
2024-01-04 10:13 Miroslav Šulc
2023-09-11  7:35 Miroslav Šulc
2023-08-13  6:56 Miroslav Šulc
2023-08-12  7:52 Arthur Zamarin
2023-07-03  8:43 Miroslav Šulc
2023-07-03  8:23 Miroslav Šulc
2023-06-02  6:52 Miroslav Šulc
2023-05-06  5:07 Miroslav Šulc
2023-05-05 16:04 Arthur Zamarin
2023-04-01  5:25 Miroslav Šulc
2023-03-31 11:40 Arthur Zamarin
2023-03-27 10:51 Miroslav Šulc
2023-03-27 10:51 Miroslav Šulc
2022-12-29  8:39 Miroslav Šulc
2022-12-25 22:17 Andreas Sturmlechner
2022-05-08  6:21 Miroslav Šulc
2022-05-08  4:10 Sam James
2022-04-05  5:27 Miroslav Šulc
2022-02-11 13:21 Miroslav Šulc
2022-02-11 12:25 Sam James
2022-01-11  8:54 Miroslav Šulc
2021-12-06  9:38 Miroslav Šulc
2021-12-06  9:12 Miroslav Šulc
2021-08-07 14:47 Miroslav Šulc
2021-08-07 14:43 Sam James
2021-07-06  4:39 Miroslav Šulc
2021-06-12  9:49 Miroslav Šulc
2021-06-12  1:18 Sam James
2021-05-29 16:08 Miroslav Šulc
2021-05-29 15:23 Sam James
2021-05-12  5:50 Miroslav Šulc
2021-04-27 18:05 Miroslav Šulc
2021-03-08  8:17 Miroslav Šulc
2021-03-07 19:46 Sam James
2021-02-15  9:03 Sam James
2020-12-20 17:48 Sam James
2020-08-22 16:06 Andreas Sturmlechner
2019-12-26 10:06 Miroslav Šulc
2019-12-16 12:21 Agostino Sarubbo
2019-12-13 12:41 Miroslav Šulc
2019-12-13 11:47 Miroslav Šulc
2019-12-13 11:27 Miroslav Šulc
2019-11-13 14:58 Miroslav Šulc
2018-12-16 23:53 Andreas Sturmlechner
2017-05-09  7:14 Alexis Ballier
2016-11-15  9:09 Alexis Ballier
2016-09-26 15:03 Alexis Ballier
2016-09-26 15:03 Alexis Ballier
2016-09-15 11:29 Alexis Ballier
2016-09-15 11:28 Alexis Ballier
2016-08-30 12:49 Alexis Ballier
2016-04-23 13:18 Davide Pesavento
2015-08-12  9:31 Ben de Groot
2015-08-12  9:31 Ben de Groot

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1668439474.f0453576e0f2375da382448ba3fe8faadcce78cc.aballier@gentoo \
    --to=aballier@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox